Vagrant.configure("2") do |config|
  config.vm.box = "bento/ubuntu-18.04"
  
  # this is needed for the stupid Windows + WSL unable to find path
  config.vm.synced_folder ".", "/vagrant", disabled: true

  config.vm.provider "virtualbox" do |vb|
    vb.gui = true
    vb.name = "isrm-vm"
    vb.customize ['modifyvm', :id, '--clipboard', 'bidirectional']

    # on WSL this needs to be cut otherwise you run in other stupid issues
    vb.customize [ "modifyvm", :id, "--uartmode1", "disconnected" ]
  end

  # Do the rest of the provisioning using ansible
  config.vm.provision :shell, inline: "apt-get install -y python"
  config.vm.provision :ansible, playbook: "../playbooks-isrm/master.yml"

  config.vm.provision :reload
end
